- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | Protected Attributes | List of all members
AL::Math::RigidBodySystemBuilder::Decorator< T > Class Template Reference

`#include <rigidbodysystembuilder.h>`

## Public Member Functions
| Decorator (Interface< T > &builder)
virtual | ~Decorator ()
const Config & | config () const
virtual void | addLink (Link link)
virtual void | addStaticFrame (StaticFrame sframe)
Public Member Functions inherited from AL::Math::RigidBodySystemBuilder::Interface< T >
virtual | ~Interface ()
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass, const std::string &new_joint)
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new, const std::string &new_static_transform)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new)

## Public Attributes
| TYPEDEF_Interface_TYPES

## Protected Attributes
Interface< T > & | _builder

## Additional Inherited Members
Public Types inherited from AL::Math::RigidBodySystemBuilder::Interface< T >
typedef T | Scalar
typedef LinkData< Scalar > | Link
typedef Link::BodyMass | BodyMass
typedef BodyMass::Vector3 | Vector3
typedef BodyMass::Matrix3 | Matrix3
typedef StaticFrameData< Scalar > | StaticFrame
typedef StaticFrame::AffineCompact3 | AffineCompact3

## Detailed Description

### template<typename T>
class AL::Math::RigidBodySystemBuilder::Decorator< T >

Definition at line 149 of file rigidbodysystembuilder.h.

## Constructor & Destructor Documentation

template<typename T >

AL::Math::RigidBodySystemBuilder::Decorator< T >::Decorator | ( | Interface< T > & | builder | ) |
| inline

Definition at line 152 of file rigidbodysystembuilder.h.

template<typename T >

virtual AL::Math::RigidBodySystemBuilder::Decorator< T >::~Decorator | ( |  | ) |
| inline virtual

Definition at line 153 of file rigidbodysystembuilder.h.

## Member Function Documentation

template<typename T >

virtual void AL::Math::RigidBodySystemBuilder::Decorator< T >::addLink | ( | Link | link | ) |
| inline virtual

Implements AL::Math::RigidBodySystemBuilder::Interface< T >.

Reimplemented in AL::Math::RigidBodySystemBuilder::InertiaEraser< T >, and AL::Math::RigidBodySystemBuilder::NamesChecker< T >.

Definition at line 157 of file rigidbodysystembuilder.h.

template<typename T >

virtual void AL::Math::RigidBodySystemBuilder::Decorator< T >::addStaticFrame | ( | StaticFrame | sframe | ) |
| inline virtual

Implements AL::Math::RigidBodySystemBuilder::Interface< T >.

Reimplemented in AL::Math::RigidBodySystemBuilder::NamesChecker< T >.

Definition at line 159 of file rigidbodysystembuilder.h.

template<typename T >

const Config& AL::Math::RigidBodySystemBuilder::Decorator< T >::config | ( |  | ) | const
| inline virtual

Implements AL::Math::RigidBodySystemBuilder::Interface< T >.

Definition at line 155 of file rigidbodysystembuilder.h.

## Member Data Documentation

template<typename T >

Interface<T>& AL::Math::RigidBodySystemBuilder::Decorator< T >::_builder
| protected

Definition at line 164 of file rigidbodysystembuilder.h.

template<typename T >

AL::Math::RigidBodySystemBuilder::Decorator< T >::TYPEDEF_Interface_TYPES

Definition at line 151 of file rigidbodysystembuilder.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/rigidbodysystembuilder.h